<div class="content-wrapper">



	<section class="content-header">

		<h1>

			Perfil de Usuario

			<small>modulo</small>

		</h1>

		<ol class="breadcrumb">

			<li><a href="#"><i class="fa fa-dashboard"></i> Inicio</a></li>

			<li><a href="#">Mantenimiento</a></li>

			<li class="active">Perfil de Usuario</li>

		</ol>

	</section>

	<section class="content" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

		<div class="row">

			<div class="col-xs-12">

				<div class="box">

					<div class="box-header">

						<button id="btn_agregar" onClick="usuarioperfil_form('insertar')" class="btn btn-primary">Agregar</button>

						<button id="btn_actualizar" class="btn btn-default">Actualizar</button>

					</div>

				</div>

			</div>

		</div>

	</section>



	<!-- formulario de registro -->

			<div class="modal fade" id="div_usuarioperfil_form_dialog" role="dialog" data-keyboard="true" tabindex="-1"  style="padding:0px;">

			<div class="modal-dialog "  role="document" >



			<div class="modal-content">



			<div class="modal-body div_usuarioperfil_form" >



			</div>

			<br />

			<br />

			</div>

			</div>

			</div>

			

		<!-- tabla de registros -->	

	<div id="div_usuarioperfil_tabla"></div>

	



</div>









<script type="text/javascript">

	function usuarioperfil_tabla()

	{	

		$.ajax({

			type: "POST",

			url: "../usuarioperfil/usuarioperfil_tabla.php",

			async:true,

			dataType: "html",                      

		// data: ({

		// 	 catimg_id: $("#hdd_catimg_id").val()		

		// }),

		beforeSend: function() {

			$('#div_usuarioperfil_tabla').addClass("ui-state-disabled");

		},

		success: function(html){			

			$('#div_usuarioperfil_tabla').html(html);

		},

		complete: function(){			

			$('#div_usuarioperfil_tabla').removeClass("ui-state-disabled");

		}

	});     

	}





	function usuarioperfil_form(act,idf)

	{

		$('#div_usuarioperfil_form_dialog').modal();

		$.ajax({

			type: "POST",

			url: "../usuarioperfil/usuarioperfil_form.php",

			async:true,

			dataType: "html",

			data:({

				action: act,

				usuper_id: idf,

				vista: 'usuarioperfil_tabla'

			}),

			beforeSend: function(){

				var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	

				$('.div_usuarioperfil_form').html(div);		

			

			},

			success: function(html){

				$('.div_usuarioperfil_form').html(html);	

			}				

		});

	}



	function usuarioperfil_eliminar(id)

	{   

		$('#msj_usuarioperfil').hide();   

		if(confirm("Realmente desea eliminar?")){

			$.ajax({

				type: "POST",

				url: "../usuarioperfil/usuarioperfil_reg.php",

				async:true,

				dataType: "html",

				data: ({

					action: "eliminar",

					usuper_id:		id

				}),

				beforeSend: function() {

					

				},

				success: function(html){

					toastr["success"](html);

				},

				complete: function(){		

					usuarioperfil_tabla();

				}

			});

		}

	}







	$(function() {



		$('#btn_actualizar').click(function() {

			$("#content").load("../usuarioperfil/usuarioperfil_vista.php");

		});



		usuarioperfil_tabla(); 



		setTitle("PERFIL DE USUARIO - "+nombreEmpresa);

	});



</script>